• Русский
  • Nexus

    Description
    Nexus is the Schema for the nexus
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    Spec describes the desired state of the Nexus instance

    statusobject

    Status describes the current state of the Nexus instance

    .spec

    Description
    Spec describes the desired state of the Nexus instance
    Type
    object
    PropertyTypeDescription
    externalURLstring

    When the Service Type is "NodePort", please enter http://IP:port, and the "port" must be the same as the Service's Node Port

    When the Service Type is "Ingress", please enter the corresponding access address, for example: http://kubernetes.io.

    helmValuesobject

    HelmValues specify custom configuration witch the helm chart supported

    versionstring

    Version specify the tool version which want to install

    .spec.helmValues

    Description
    HelmValues specify custom configuration witch the helm chart supported
    Type
    object

    .status

    Description
    Status describes the current state of the Nexus instance
    Type
    object
    PropertyTypeDescription
    availableUpgradableVersionsarray

    list all available upgradable versions

    conditionsarray
    configurationstring
    currentVersionstring

    support auto upgrade version

    dependency_secretsarray
    deployedReleaseobject
    externalURLstring
    helmValuesobject

    record helm values

    targetVersionstring

    .status.availableUpgradableVersions

    Description
    list all available upgradable versions
    Type
    array

    .status.availableUpgradableVersions[]

    Description
    UpgradableChartVersion is used to record the upgradable version of the chart include the links to the upgrade guide
    Type
    object
    PropertyTypeDescription
    appVersionstring
    descriptionstring
    linksarray

    Links is the links to the upgrade guide

    Description
    Links is the links to the upgrade guide
    Type
    array
    Description
    Link used to describe the link to the upgrade guide
    Type
    object
    PropertyTypeDescription
    titlestring

    Title is the title of the link

    urlstring

    URL is the url of the link

    .status.conditions

    Type
    array

    .status.conditions[]

    Type
    object
    Required
    statustype
    PropertyTypeDescription
    lastTransitionTimestring
    messagestring
    reasonstring
    statusboolean
    typestring

    .status.dependency_secrets

    Type
    array

    .status.dependency_secrets[]

    Type
    string

    .status.deployedRelease

    Type
    object
    Required
    manifestname
    PropertyTypeDescription
    manifeststring
    namestring

    .status.helmValues

    Description
    record helm values
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/operator.alaudadevops.io/v1alpha1/namespaces/{namespace}/nexuses
      • DELETE: delete collection of Nexus
      • GET: list objects of kind Nexus
      • POST: create a new Nexus
    • /apis/operator.alaudadevops.io/v1alpha1/namespaces/{namespace}/nexuses/{name}
      • DELETE: delete the specified Nexus
      • GET: read the specified Nexus
      • PATCH: partially update the specified Nexus
      • PUT: replace the specified Nexus
    • /apis/operator.alaudadevops.io/v1alpha1/namespaces/{namespace}/nexuses/{name}/status
      • GET: read status of the specified Nexus
      • PATCH: partially update status of the specified Nexus
      • PUT: replace status of the specified Nexus

    /apis/operator.alaudadevops.io/v1alpha1/namespaces/{namespace}/nexuses

    HTTP method
    DELETE
    Description
    delete collection of Nexus
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Nexus
    HTTP responses
    HTTP codeResponse body
    200 - OKNexusList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Nexus
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyNexus schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    201 - CreatedNexus schema
    202 - AcceptedNexus schema
    401 - UnauthorizedEmpty

    /apis/operator.alaudadevops.io/v1alpha1/namespaces/{namespace}/nexuses/{name}

    HTTP method
    DELETE
    Description
    delete the specified Nexus
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Nexus
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Nexus
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Nexus
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyNexus schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    201 - CreatedNexus schema
    401 - UnauthorizedEmpty

    /apis/operator.alaudadevops.io/v1alpha1/namespaces/{namespace}/nexuses/{name}/status

    HTTP method
    GET
    Description
    read status of the specified Nexus
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified Nexus
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified Nexus
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyNexus schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKNexus schema
    201 - CreatedNexus schema
    401 - UnauthorizedEmpty